> ## Documentation Index
> Fetch the complete documentation index at: https://docs-staging.termii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Template



## OpenAPI

````yaml https://res.cloudinary.com/dgdteyucq/raw/upload/v1744131377/termii/test_kdae1u.json post /api/send/template
openapi: 3.0.3
info:
  title: Public API
  description: >-
    This is a refined OpenAPI 3.0 specification for the Public API, including
    enhanced descriptions, reusable components, and structured security
    definitions.
  version: 1.0.1
  contact:
    name: Support Team
    email: support@example.com
    url: https://example.com/support
servers:
  - url: '{base_url}'
    variables:
      base_url:
        default: ''
        description: ''
    description: Production Server
security:
  - ApiKeyAuth: []
paths:
  /api/send/template:
    post:
      tags:
        - Templates
      summary: Template
      operationId: postapisendtemplate
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          example: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: string
              example: |-
                {
                    "phone_number": "{{phone_number1}}",
                    "device_id": "{{device_id}}",
                    "template_id": "271cd554-5917-40a8-aeb5-c5be2938267b" ,
                    "api_key": "{{api_key}}",
                    "data": {
                         "product_name": "Termii",
                         "otp" : {{otp}},
                         "expiry_time": "10 minutes"
                    } 
                 }
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                example: {}
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````